use itertools::Itertools;

#[aoc_generator(day1, part1)]
pub fn generator_p1(input: &str) -> Vec<u32> {
    input.lines().map(|l| l.parse().unwrap()).collect()
}

#[aoc(day1, part1)]
pub fn solve_p1(input: &[u32]) -> u32 {
    input.iter().permutations(2).find(|v| v[0] + v[1] == 2020).unwrap().iter().map(|a| a.clone()).product()
}
